OPTION ANGLE DEGREES
SET WINDOW 0,10,0,10
FOR i=1 TO 9
   SET AREA COLOR i
   DRAW sector(i*5,360-I*5) WITH Rotate(i*2)*SCALE(0.4+0.01*i)*SHIFT(10-i,5)
NEXT i
END

EXTERNAL PICTURE sector(e,f)
OPTION ANGLE DEGREES
DIM A(361,2)
LET i=1
LET A(i,1)=0
LET A(i,2)=0
FOR t=e TO f
   LET i=i+1
   LET A(i,1)=COS(t)
   LET A(i,2)=SIN(t)
NEXT t
MAT PLOT AREA,LIMIT i: A
END PICTURE

